Overview
Use Webhooks to be notified of events in the Manifest platform. Note: Currently, Manifest supports one webhook per event, per environment.Structure
When receiving a webhook notification, there will be anevent and id fields:
Validation (Optional)
Validating that webhooks originate from Manifest ensures that a webhook notification is authentic. If a webhook object has been created with thebasic_user or basic_secret fields, notifications from Manifest will include an additional Authorization header that is the base64-encoded value of {basic_user}:{basic_secret}. When the base64 header matches the value your application expects, the request is authentic.
Example Header
Methods
- Create
- Get
- List
- Delete
POST /webhookSubscribe to a type of event.
Body Parameters
string
required
The HTTPS URL where the event notification will be sent.
string
required
Event to subscribe to. See below for a list of available events.
string
First value in base64(
basic_user:basic_secret), sent as Authorization for request validation. This field will not appear in responses.string
Second value in base64(
basic_user:basic_secret), sent as Authorization for request validation. This field will not appear in responses.Example
Properties
string
Identifier for this webhook.
string
The HTTPS URL where the event notification will be sent.
string
Event to subscribe to. Possible values are:
account_connection.updatepayout.updatebuyer.updatepurchase.updatecontract.update
string
First value in base64(
basic_user:basic_secret), sent as Authorization for request validation. This field will not appear in responses.string
Second value in base64(
basic_user:basic_secret), sent as Authorization for request validation. This field will not appear in responses.